<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/02/2004 *
 * ===================                          Last change: 06/18/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : click.php                                        *
 * -------------------------------------------------------------------- *
 * Short description : Count clicks on a banner and redirect...         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Klicks auf Banner zaehlen und weiterleiten       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(TRUE);

// Set module
$GLOBALS['__module']      = 'click';
$GLOBALS['__output_mode'] = -1;

// Load the required file(s)
require('inc/config-global.php');

// Set content type, this is required for search engines
setContentType('text/html');

// Run filter chain
runFilterChain('handle_click_php');

// Load index page (if click.php call was not detected)
redirectToUrl('modules.php?module=index');

// Shutdown (if reached)
doShutdown();

// [EOF]
?>
