/**
 * JavaScript for ext-order
 * --------------------------------------------------------------------
 * $Revision::                                                        $
 * $Date::                                                            $
 * $Tag:: 0.2.1-FINAL                                                 $
 * $Author::                                                          $
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2013 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

var counter = document.getElementById('counter');
var form    = document.getElementById('form');
var ok      = document.getElementById('ok');

function submitForm() {
	if (counter.innerHTML > 0) {
		alert('{--MEMBER_ORDER_PLEASE_WAIT_TESTER--}');
		return false;
	} else {
		form.submit();
	}
}

function Counter() {
	if (counter.innerHTML == 1) {
		ok.value='{--MEMBER_DO_ORDER--}';
		window.clearInterval(interval);
	}

	counter.innerHTML--;
}

ok.value='{--MEMBER_ORDER_TEST_STARTED--}';
var interval = window.setInterval("Counter()", 1000);

// Register event listener
$('#form').submit(function() {
	return submitForm();
});
